/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_execute_loop {
namespace execute_loop {
namespace multi_write_unit {
namespace write_unit {

#undef  FUNCTION
#define FUNCTION "Write_unit::msg_error"
  std::string Parameters::msg_error(void)
  {
    log_printf(FUNC,Write_unit,FUNCTION,"Begin");

    std::string msg = "";

    if (_size_write_queue == 0)
      msg += " * Write queue must have a less one entry.";

    return msg;

    log_printf(FUNC,Write_unit,FUNCTION,"End");
  };

}; // end namespace write_unit
}; // end namespace multi_write_unit
}; // end namespace execute_loop
}; // end namespace multi_execute_loop
}; // end namespace core
}; // end namespace behavioural
}; // end namespace morpheo              
